Audit Logs
Retrieve audit logs for your organization.
List Organization audit logs
/communications/v1/audit-logs
Get all audit logs for the given organization.
Requires a bearer access token for this API with the Organization.AuditLog.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/communications/v1/audit-logs" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Organization audit log
/communications/v1/audit-logs/{auditLogId}
Get an audit log for the given organization.
Requires a bearer access token for this API with the Organization.AuditLog.Read permission. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/communications/v1/audit-logs/{auditLogId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"